Subject: Re: linux-next: manual merge of the asm-generic tree with the mm tree

From: Baoquan He <[email-masked]>
Date: Mon, 18 Sep 2023 09:28:02 +0800

On 09/18/23 at 10:10am, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the asm-generic tree got a conflict in:
> 
>   arch/ia64/kernel/setup.c
> 
> between commit:
> 
>   52f40d9a3c11 ("crash_core: change the prototype of function parse_crashkernel()")

Thanks a lot for fixing the conflict. I rebased the crash_core
refactoring code on linus's tree, so didn't notice ia64 arch has been
removed in next tree.

> 
> from the mm tree and commit:
> 
>   cf8e8658100d ("arch: Remove Itanium (IA-64) architecture")
> 
> from the asm-generic tree.
> 
> I fixed it up (I removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell